CVC4::expr::pickle::Pickle Class Reference

`#include <pickler.h>`

## Public Member Functions

| Pickle ()
| Pickle (const Pickle &p)
| ~Pickle ()
Pickle & | operator= (const Pickle &other)

## Friends

class | Pickler
class | PicklerPrivate

## Detailed Description

Definition at line 43 of file pickler.h.

## Constructor & Destructor Documentation

## Pickle() [1/2]

CVC4::expr::pickle::Pickle::Pickle | ( |  | ) |

## Pickle() [2/2]

CVC4::expr::pickle::Pickle::Pickle | ( | const Pickle & | p | ) |

## ~Pickle()

CVC4::expr::pickle::Pickle::~Pickle | ( |  | ) |

## Member Function Documentation

## operator=()

Pickle & CVC4::expr::pickle::Pickle::operator= | ( | const Pickle & | other | ) |

## Friends And Related Symbol Documentation

## Pickler

friend class Pickler

friend

Definition at line 45 of file pickler.h.

## PicklerPrivate

friend class PicklerPrivate

friend

Definition at line 46 of file pickler.h.

The documentation for this class was generated from the following file:

- src/expr/pickler.h